%define name 	libungif
%define fakename ungif
%define version	4.1.4
%define majver 	4
%define major 	4
%define libname %mklibname %{fakename} %{major}

Name: 		%{name}
Summary: 	A library for manipulating GIF format image files
Version: 	%{version}
Release: 	%mkrel 7
License: 	MIT
URL: 		http://sourceforge.net/projects/libungif/
Source0: 	%{name}-%{version}.tar.bz2
Source1: 	%{name}-3.1.0.tar.bz2
# from https://secure.renaissoft.com/maia/wiki/FuzzyOCR23
# see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=384773
Patch0:		http://users.own-hero.net/~decoder/fuzzyocr/giftext-segfault.patch
Patch1:		libungif-4.1.4-format_not_a_string_literal_and_no_format_arguments.diff
Group: 		System/Libraries
BuildRequires: 	X11-devel netpbm-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
# The following libgif.so handles packages built against the
# previous broken giflib package
Provides: 	libgif.so.4 libgif.so.3 libgif.so libungif.so giflib
Obsoletes: 	giflib

%description
The libungif package contains a shared library of functions for loading
and saving GIF format image files.  The libungif library can load any
GIF file, but it will save GIFs only in uncompressed format (i.e., it
won't use the patented LZW compression used to save "normal" compressed
GIF files).

Install the libungif package if you need to manipulate GIF files.  You
should also install the libungif-progs package.

%package -n	%{libname}
Summary:	A library for manipulating GIF format image files
Group:		System/Libraries
Obsoletes:	%{name}
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
The libungif package contains a shared library of functions for loading
and saving GIF format image files.  The libungif library can load any
GIF file, but it will save GIFs only in uncompressed format (i.e., it
won't use the patented LZW compression used to save "normal" compressed
GIF files).

Install the libungif package if you need to manipulate GIF files.  You
should also install the libungif-progs package.

%package -n	%{libname}-devel
Summary:	Development tools for programs which will use the libungif library
Group:		Development/C
Requires:	%{libname} = %{version}
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	ungif-devel = %{version}-%{release}

%description -n	%{libname}-devel
This package contains the header files and documentation
necessary for development of programs that will use the libungif library
to load and save GIF format image files.

You should install this package if you need to develop programs which
will use the libungif library functions for loading and saving GIF format
image files.  You'll also need to install the libungif package.

%package -n	%{libname}-static-devel
Summary:	Static libraries for programs which will use the libungif library
Group:		Development/C
Requires:	%{libname}-devel = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	ungif-static-devel = %{version}-%{release}

%description -n	%{libname}-static-devel
This package contains the static libraries, necessary for development of 
programs that will use the libungif library
to load and save GIF format image files.

You should install this package if you need to develop programs which
will use the libungif library functions for loading and saving GIF format
image files.  You'll also need to install the libungif package.

%package	progs
Summary:	Programs for manipulating GIF format image files
Group:		Graphics
Requires:	%{libname} = %{version}

%description	progs
The libungif-progs package contains various programs for manipulating
GIF format image files.

Install this package if you need to manipulate GIF format image files.
You'll also need to install the libungif package.

%prep

%setup -q -n %{name}-%{version} -a1

pushd util
%patch0 -p0 -b .giftext
popd

%patch1 -p1 -b .format_not_a_string_literal_and_no_format_arguments

%build
%configure2_5x
%make all

pushd %{name}-3.1.0
rm -f configure
test -x ./autogen.sh && ./autogen.sh
libtoolize --copy --force
%configure2_5x
%make all
popd

%install
rm -rf %buildroot

pushd %{name}-3.1.0/lib
%makeinstall
ln -sf libungif.so.3.1.0 %buildroot/%{_libdir}/libgif.so.3.1.0
ln -sf libgif.so.3.1.0   %buildroot/%{_libdir}/libgif.so.3
rm %buildroot/%{_libdir}/*.so
rm %buildroot/%{_libdir}/*.a
popd
 
%makeinstall
ln -sf libungif.so.%version	%buildroot/%_libdir/libgif.so.%version
ln -sf libgif.so.%version 	%buildroot/%_libdir/libgif.so.4
ln -sf libgif.so.4 		%buildroot/%_libdir/libgif.so
ln -sf libungif.a 		%buildroot/%_libdir/libgif.a
  
chmod 755 %buildroot/%_libdir/*.so*
chmod 644 %buildroot/%_libdir/*.a*
chmod 644 COPYING README UNCOMPRESSED_GIF NEWS ONEWS
chmod 644 doc/* util/giffiltr.c util/gifspnge.c

%clean
rm -rf %buildroot

%if %mdkversion < 200900
%post -n %libname   -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -n %libname
%defattr(-,root,root)
%doc COPYING README UNCOMPRESSED_GIF NEWS ONEWS
%{_libdir}/lib*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%doc doc/*  util/giffiltr.c util/gifspnge.c
%{_libdir}/lib*.so
%{_includedir}/*.h
%{_libdir}/lib*.la

%files -n %libname-static-devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.a


%files progs
%defattr(-,root,root)
%{_bindir}/*
%doc doc UNCOMPRESSED_GIF COPYING



%changelog
* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 4.1.4-7mdv2009.1
+ Revision: 315638
- added P1 to fix build with -Werror=format-security

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.1.4-6mdv2009.0
+ Revision: 223013
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 4.1.4-5mdv2008.1
+ Revision: 178955
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Oct 12 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-11 12:36:29 (63455)
- rebuild

* Thu Oct 12 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-11 12:35:17 (63454)
Import libungif

* Wed Sep 06 2006 Olivier Blin <blino@mandriva.com> 4.1.4-2mdv2007.0
- Patch0: fix giftext segfault on image with no global colour map
  (thanks to Bill Randle for the hint)

* Sat Aug 26 2006 Olivier Blin <blino@mandriva.com> 4.1.4-1mdv2007.0
- 4.1.4
- drop Patch0 (merged)

* Fri Nov 11 2005 Olivier Blin <oblin@mandriva.com> 4.1.3-2mdk
- mkrel
- remove summaries ended with dot
- remove requires on release
- from Stew Benedict:
  o security update for CAN-2005-2974,3350 (P0)
  o remove commented out patches

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.1.3-1mdk
- 4.1.3

* Wed Jun 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 4.1.2-2mdkk
- fix configure call
- reenable libtoolize

* Sun Apr 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.1.2-1mdk
- 4.1.2
- update license and url
- drop prefix tag
- drop P0 & P1
- spec cosmetics

